#
# spec file for package mtools
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mtools
BuildRequires:  libpng texlive-latex xorg-x11 xorg-x11-devel
Version:        4.0.16
Release:        1
AutoReqProv:    on
Group:          System/Filesystems
License:        GPLv2+
Url:            http://mtools.linux.lu/
Summary:        Access Files on an MS-DOS File System
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-conf.diff
Patch1:         %{name}-%{version}-autoconf.diff
Patch3:         %{name}-%{version}-aliasing.diff
Patch4:         %{name}-%{version}-fat-bits.diff
Patch5:         %{name}-%{version}-prototypes.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mtools allows uncomplicated access to an MS-DOS file system on disk
without mounting it. It includes commands for working with MS-DOS
files: mdir, mcd, mcopy, and mformat.

XDF support for OS/2 is also provided.



Authors:
--------
    Alain Knaff 	<Alain.Knaff@imag.fr>
    David C. Niemi	<niemidc@erols.com>

%package floppyd
License:        GPLv2+
Group:          System/Filesystems
Summary:        Floppy daemon for remote access to floppy drive

%description floppyd
Floppyd is used as a server to grant access  to  the  floppy  drive  to
clients  running on a remote machine, just as an X server grants access
to the display to remote clients.



Authors:
--------
    Alain Knaff 	<Alain.Knaff@imag.fr>
    David C. Niemi	<niemidc@erols.com>

%package doc
License:        GPLv3+ ; GNU Free Documentation License, Version 1.3 (GFDL 1.3)
Group:          System/Filesystems
Summary:        Access Files on an MS-DOS File System
Requires:       %{name} = %{version}

%description doc
Mtools allows uncomplicated access to an MS-DOS file system on disk
without mounting it. It includes commands for working with MS-DOS
files: mdir, mcd, mcopy, and mformat.

XDF support for OS/2 is also provided.



Authors:
--------
    Alain Knaff 	<Alain.Knaff@imag.fr>
    David C. Niemi	<niemidc@erols.com>

%prep
%setup -q
%patch0
%patch1
%patch3
%patch4
%patch5

%build
%{suse_update_config -f}
autoconf --force
export CC=gcc
export INSTALL_PROGRAM="install"
%configure \
    --includedir=/usr/src/linux/include
make all dvi info

%install
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
make install DESTDIR=$RPM_BUILD_ROOT
cp -p mtools.conf $RPM_BUILD_ROOT%{_sysconfdir}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/mtools.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mtools.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_sysconfdir}/mtools.conf
%doc Release.notes NEWS COPYING README*
%doc %{_mandir}/man?*/*
%exclude %{_mandir}/man?*/f*
%doc %{_infodir}/mtools.info*
%{_bindir}/*
%exclude %{_bindir}/f*

%files floppyd
%defattr(-,root,root)
%doc %{_mandir}/man?*/f*
%{_bindir}/f*

%files doc
%defattr(-,root,root)
%doc *.dvi

%changelog
